Bug 220669 - /usr/lib{,64}/python2.5/lib-dynload/_ctypes.so
Summary: /usr/lib{,64}/python2.5/lib-dynload/_ctypes.so
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-22 22:16 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 17:56:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix x86-64 build (569 bytes, patch)
2006-12-22 22:43 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2006-12-22 22:16:58 UTC
Description of problem:
The /usr/lib{,64}/python2.5/lib-dynload/_ctypes.so is compiled incorrectly, it
is marked to require an executable stack.

Version-Release number of selected component (if applicable):
python-2.5-6.fc7

How reproducible:
always

Steps to Reproduce:
1.eu-readelf -l /usr/lib64/python2.5/lib-dynload/_ctypes.so|fgrep STACK
2.
3.
  
Actual results:
  GNU_STACK      0x000000 0x0000000000000000 0x0000000000000000 0x000000
0x000000 RWE 0x8


Expected results:
  GNU_STACK      0x000000 0x0000000000000000 0x0000000000000000 0x000000
0x000000 RW  0x8


Additional info:

Comment 1 Ulrich Drepper 2006-12-22 22:43:39 UTC
Created attachment 144320 [details]
Patch to fix x86-64 build

This is likely a problem for all archs.  The patch is for x86-64 only.

Comment 2 Jeremy Katz 2007-01-03 17:56:23 UTC
Thanks, fixed for -7


Note You need to log in before you can comment on or make changes to this bug.